Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/prepare_stage4_repo.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2018-03-15 11:15:58 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2018-03-15 11:15:58 +0100
commit80afdd710922f82171bb9250c33dca18475f42ca (patch)
tree2c604fc7cd126de2d039021e98356c1344e88a5f /prepare_stage4_repo.sh
parent69f68ac358363ac31110fa1a1956539be60af313 (diff)
cleanup and plan for stage4
Diffstat (limited to 'prepare_stage4_repo.sh')
-rwxr-xr-xprepare_stage4_repo.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/prepare_stage4_repo.sh b/prepare_stage4_repo.sh
new file mode 100755
index 0000000..dbad677
--- /dev/null
+++ b/prepare_stage4_repo.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# shellcheck source=./default.conf
+. "./default.conf"
+
+# prepare the i486-build for stage 4
+
+if test ! -d $STAGE4_CHROOT; then
+ mkdir $STAGE4_CHROOT
+ mkdir -p $STAGE4_PACKAGES
+fi
+
+if test ! -d $STAGE4_BUILD; then
+
+ # prepare the build enviroment
+
+ mkdir $STAGE4_BUILD
+ cd $STAGE4_BUILD || exit 1
+
+ # TODO: actually build a STAGE4 hdd from the build artifacts of
+ # stage 3, for now we just copy the vm from stage2 after building
+ # and installing all packages from stage 3 and use it as new build
+ # machine.
+
+ echo "Prepared the stage 4 build environment."
+fi
+
+echo "Stage 4 ready."